org.springframework.cloud.dataflow.rest.resource

## Class AbstractDefinitionAppStatusResource<T extends org.springframework.hateoas.RepresentationModel<? extends T>>

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<T>
  - - org.springframework.cloud.dataflow.rest.resource.AbstractDefinitionAppStatusResource<T>

- Direct Known Subclasses:
    StreamAppStatusResource, TaskAppStatusResource

      public abstract class AbstractDefinitionAppStatusResource<T extends org.springframework.hateoas.RepresentationModel<? extends T>>
      extends org.springframework.hateoas.RepresentationModel<T>

  Resource representing the status of an app in a definition.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDefinitionAppStatusResource()`
    `` | `AbstractDefinitionAppStatusResource(String appName, String dsl, String description, Map<String,String> appStatuses)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppName()`
    `Map<String,String>` | `getAppStatuses()`
    `String` | `getDescription()`
    `String` | `getDsl()`
    `void` | `setAppName(String appName)`
    `void` | `setAppStatuses(Map<String,String> appStatuses)`
    `void` | `setDescription(String description)`
    `void` | `setDsl(String dsl)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDefinitionAppStatusResource

          protected AbstractDefinitionAppStatusResource()

    - #### AbstractDefinitionAppStatusResource

          public AbstractDefinitionAppStatusResource(String appName,
                                                     String dsl,
                                                     String description,
                                                     Map<String,String> appStatuses)

  - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getAppName

          public String getAppName()

    - #### setAppName

          public void setAppName(String appName)

    - #### getDsl

          public String getDsl()

    - #### setDsl

          public void setDsl(String dsl)

    - #### getAppStatuses

          public Map<String,String> getAppStatuses()

    - #### setAppStatuses

          public void setAppStatuses(Map<String,String> appStatuses)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.